
var tc = require('../');

// create terminal <canvas>
var canvas = tc({ small: true });
var ctx = canvas.getContext('2d');

require('ansi')(process.stdout).hide();

function render () {

  // clear previous data
  ctx.clearRect(0, 0, canvas.width, canvas.height);

  // black background
  ctx.fillStyle = 'black';
  ctx.fillRect(0, 0, canvas.width, canvas.height);

  // print height and width
  ctx.font = '12px Arial';
  ctx.textBaseline = 'top';
  ctx.fillStyle = 'red';
  ctx.fillText('w: ' + canvas.width + ', h: ' + canvas.height, 0, 0);
  ctx.fillText(new Date().toISOString(), 0, 15);

  // render to TTY
  canvas.render();
}

process.stdout.on('resize', render);

setInterval(render, 1000 / 60); // 60hz

function show () {
  require('ansi')(process.stdout).show();
  process.exit();
}
process.on('exit', show);
process.on('SIGINT', show);
